package com.game.business.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;

import com.game.common.annotation.DataSource;
import com.game.common.enums.DataSourceType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.game.business.mapper.AppUsersChargeMapper;
import com.game.business.domain.AppUsersCharge;
import com.game.business.service.IAppUsersChargeService;

/**
 * 充值记录Service业务层处理
 *
 * @author game
 * @date 2024-06-18
 */
@Service
@DS("slave")
public class AppUsersChargeServiceImpl extends ServiceImpl<AppUsersChargeMapper, AppUsersCharge> implements IAppUsersChargeService {
    @Autowired
    private AppUsersChargeMapper appUsersChargeMapper;

    /**
     * 查询充值记录
     *
     * @param id 充值记录主键
     * @return 充值记录
     */
    @Override
    public AppUsersCharge selectAppUsersChargeById(Long id) {
        return appUsersChargeMapper.selectAppUsersChargeById(id);
    }

    /**
     * 查询充值记录列表
     *
     * @param appUsersCharge 充值记录
     * @return 充值记录
     */
    @Override
    public List<AppUsersCharge> selectAppUsersChargeList(AppUsersCharge appUsersCharge) {
        return appUsersChargeMapper.selectAppUsersChargeList(appUsersCharge);
    }

    /**
     * 新增充值记录
     *
     * @param appUsersCharge 充值记录
     * @return 结果
     */
    @Override
    public int insertAppUsersCharge(AppUsersCharge appUsersCharge) {
            return appUsersChargeMapper.insertAppUsersCharge(appUsersCharge);
    }

    /**
     * 修改充值记录
     *
     * @param appUsersCharge 充值记录
     * @return 结果
     */
    @Override
    public int updateAppUsersCharge(AppUsersCharge appUsersCharge) {
        return appUsersChargeMapper.updateAppUsersCharge(appUsersCharge);
    }

    /**
     * 批量删除充值记录
     *
     * @param ids 需要删除的充值记录主键
     * @return 结果
     */
    @Override
    public int deleteAppUsersChargeByIds(Long[] ids) {
        return appUsersChargeMapper.deleteAppUsersChargeByIds(ids);
    }

    /**
     * 删除充值记录信息
     *
     * @param id 充值记录主键
     * @return 结果
     */
    @Override
    public int deleteAppUsersChargeById(Long id) {
        return appUsersChargeMapper.deleteAppUsersChargeById(id);
    }
}